<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-add.twig */
class __TwigTemplate_2fa11f3c4fb1b632f58f492e877a2ba4855a4c836500c9f85b82d67e45d75d70 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 25
        $context["forms"] = $this->loadTemplate("forms.twig", "user-form-add.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-add.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        // line 28
        echo "    ";
        echo __("Add User");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["help"] ?? null), "add", []), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#userAddForm\").submit()
";
    }

    // line 37
    public function block_callBack($context, array $blocks = [])
    {
        echo "userFormOpen";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Details");
        echo "</span></a></li>
                <li><a href=\"#reference\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Reference");
        echo "</span></a></li>
                ";
        // line 45
        if (($this->getAttribute(($context["currentUser"] ?? null), "userTypeId", []) == 1)) {
            // line 46
            echo "                    <li><a href=\"#notifications\" role=\"tab\" data-toggle=\"tab\"><span>";
            echo __("Notifications");
            echo "</span></a></li>
                ";
        }
        // line 48
        echo "                <li><a href=\"#optionsTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        echo __("Options");
        echo "</span></a></li>
            </ul>
            <form id=\"userAddForm\" class=\"UserForm form-horizontal\" method=\"post\" action=\"";
        // line 50
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.add"), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 53
        ob_start(function () { return ''; });
        echo __("User Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Login Name of the user.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        echo $context["forms"]->getinput("userName", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required maxlength='50'");
        echo "

                        ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Password");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Password for this user.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        echo $context["forms"]->getpassword("password", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required");
        echo "

                        ";
        // line 61
        ob_start(function () { return ''; });
        echo __("Email");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Email Address for this user.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        echo $context["forms"]->getemail("email", ($context["title"] ?? null), "", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 65
        ob_start(function () { return ''; });
        echo __("Homepage");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Homepage for this user. This is the page they will be taken to when they login.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        echo $context["forms"]->getdropdown("homePageId", "single", ($context["title"] ?? null), 1, $this->getAttribute(($context["options"] ?? null), "homepage", []), "pageId", "title", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 69
        ob_start(function () { return ''; });
        echo __("User Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("What is this users type?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        echo $context["forms"]->getdropdown("userTypeId", "single", ($context["title"] ?? null), $this->getAttribute(($context["options"] ?? null), "defaultUserType", []), $this->getAttribute(($context["options"] ?? null), "userTypes", []), "userTypeId", "userType", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 73
        ob_start(function () { return ''; });
        echo __("Library Quota");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The quota that should be applied. Enter 0 for no quota.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        <div class=\"form-group\">
                            <label class=\"col-sm-2 control-label\" for=\"libraryQuota\">";
        // line 76
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-6\">
                                <input class=\"form-control\" name=\"libraryQuota\" type=\"number\" id=\"libraryQuota\" min=\"0\" />
                                <span class=\"help-block\">";
        // line 79
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                            <div class=\"col-sm-4\">
                                <select name=\"libraryQuotaUnits\" class=\"form-control\">
                                    <option value=\"kb\">KiB</option>
                                    <option value=\"mb\">MiB</option>
                                    <option value=\"gb\">GiB</option>
                                </select>
                            </div>
                        </div>

                        ";
        // line 90
        $context["attributes"] = [0 => ["name" => "data-live-search", "value" => "true"], 1 => ["name" => "data-selected-text-format", "value" => "count > 4"]];
        // line 94
        echo "
                        ";
        // line 95
        ob_start(function () { return ''; });
        echo __("Initial User Group");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("What is the initial user group for this user?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        echo $context["forms"]->getdropdown("groupId", "single", ($context["title"] ?? null), $this->getAttribute(($context["options"] ?? null), "defaultGroupId", []), $this->getAttribute(($context["options"] ?? null), "groups", []), "groupId", "group", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null));
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"reference\">
                        ";
        // line 100
        ob_start(function () { return ''; });
        echo __("First Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The User's First Name.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        echo $context["forms"]->getinput("firstName", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 104
        ob_start(function () { return ''; });
        echo __("Last Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The User's Last Name.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        echo $context["forms"]->getinput("lastName", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 108
        ob_start(function () { return ''; });
        echo __("Phone Number");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 109
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The User's Phone Number.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 110
        echo "                        ";
        echo $context["forms"]->getinput("phone", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 112
        ob_start(function () { return ''; });
        echo __("Reference 1");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        echo $context["forms"]->getinput("ref1", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 116
        ob_start(function () { return ''; });
        echo __("Reference 2");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 117
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                        ";
        echo $context["forms"]->getinput("ref2", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 120
        ob_start(function () { return ''; });
        echo __("Reference 3");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 121
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        echo $context["forms"]->getinput("ref3", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 124
        ob_start(function () { return ''; });
        echo __("Reference 4");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        echo $context["forms"]->getinput("ref4", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 128
        ob_start(function () { return ''; });
        echo __("Reference 5");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        echo $context["forms"]->getinput("ref5", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "
                    </div>
                    ";
        // line 132
        if (($this->getAttribute(($context["currentUser"] ?? null), "userTypeId", []) == 1)) {
            // line 133
            echo "                    <div class=\"tab-pane\" id=\"notifications\">
                        ";
            // line 134
            ob_start(function () { return ''; });
            echo __("Receive System Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 135
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Should this User receive system notifications?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 136
            echo "                        ";
            echo $context["forms"]->getcheckbox("isSystemNotification", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
            echo "

                        ";
            // line 138
            ob_start(function () { return ''; });
            echo __("Receive Display Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 139
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Should this User receive Display notifications for Displays they have permission to see?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 140
            echo "                        ";
            echo $context["forms"]->getcheckbox("isDisplayNotification", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
            echo "
                    </div>
                    ";
        }
        // line 143
        echo "                    <div class=\"tab-pane\" id=\"optionsTab\">
                        ";
        // line 144
        ob_start(function () { return ''; });
        echo __("Hide navigation?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 145
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the navigation side bar be hidden for this User?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 146
        echo "                        ";
        echo $context["forms"]->getcheckbox("hideNavigation", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
        echo "

                        ";
        // line 148
        ob_start(function () { return ''; });
        echo __("Hide User Guide?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 149
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this User see the new user guide when they log in?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 150
        echo "                        ";
        echo $context["forms"]->getcheckbox("newUserWizard", ($context["title"] ?? null), 1, ($context["helpText"] ?? null));
        echo "

                        ";
        // line 152
        ob_start(function () { return ''; });
        echo __("Force Password Change");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 153
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this User be forced to change password next time they log in?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 154
        echo "                        ";
        echo $context["forms"]->getcheckbox("isPasswordChangeRequired", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  441 => 154,  436 => 153,  432 => 152,  426 => 150,  421 => 149,  417 => 148,  411 => 146,  406 => 145,  402 => 144,  399 => 143,  392 => 140,  387 => 139,  383 => 138,  377 => 136,  372 => 135,  368 => 134,  365 => 133,  363 => 132,  357 => 130,  352 => 129,  348 => 128,  342 => 126,  337 => 125,  333 => 124,  327 => 122,  322 => 121,  318 => 120,  312 => 118,  307 => 117,  303 => 116,  297 => 114,  292 => 113,  288 => 112,  282 => 110,  277 => 109,  273 => 108,  267 => 106,  262 => 105,  258 => 104,  252 => 102,  247 => 101,  243 => 100,  236 => 97,  231 => 96,  227 => 95,  224 => 94,  222 => 90,  208 => 79,  202 => 76,  199 => 75,  194 => 74,  190 => 73,  184 => 71,  179 => 70,  175 => 69,  169 => 67,  164 => 66,  160 => 65,  154 => 63,  149 => 62,  145 => 61,  139 => 59,  134 => 58,  130 => 57,  124 => 55,  119 => 54,  115 => 53,  109 => 50,  103 => 48,  97 => 46,  95 => 45,  91 => 44,  87 => 43,  82 => 40,  79 => 39,  73 => 37,  67 => 34,  63 => 33,  56 => 32,  53 => 31,  48 => 28,  45 => 27,  40 => 24,  38 => 25,  32 => 24,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-add.twig", "/home/mgatv524/public_html/edurocha/views/user-form-add.twig");
    }
}
